## visad.data.hdfeos
Class VariableSet

    java.lang.Object
      visad.data.hdfeos.VariableSet

public class VariableSet
extends Object

Field Summary
`(package private) Vector` `varSet`

Constructor Summary
`(package private)` `VariableSet()`

Method Summary
`void` `add(Variable var)`
`Variable` `getByName(String varName)`
`Variable` `getElement(int ii)`
`Variable[]` `getElements()`
`Enumeration` `getEnum()`
`int` `getSize()`
`VariableSet` `getSubset(DimensionSet d_set)`
`Variable` `isCoordVar(int index)`
`boolean` `isEmpty()`
`void` `setToFinished()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### varSet

    Vector varSet

Constructor Detail

### VariableSet

    VariableSet()

Method Detail

### add

    public void add(Variable var)

### setToFinished

    public void setToFinished()

### getSize

    public int getSize()

### getElement

    public Variable getElement(int ii)

### getElements

    public Variable[] getElements()

### getByName

    public Variable getByName(String varName)

### getSubset

    public VariableSet getSubset(DimensionSet d_set)

### isCoordVar

    public Variable isCoordVar(int index)

### isEmpty

    public boolean isEmpty()

### getEnum

    public Enumeration getEnum()

### toString

    public String toString()